<?php

namespace LaraBB\Group\UI\Web\Handlers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Contracts\View\View;
use Illuminate\View\Factory;

/**
 * Class CreateHandler
 * @package LaraBB\User\UI\Web\Handlers\Admin
 */
class CreateHandler extends Controller
{
    /**
     * @param Factory $view
     */
    public function __construct(private readonly Factory $view)
    {

    }

    /**
     *
     */
    public function __invoke(): View
    {
        return $this->view->make('group::admin.create-edit', [
            'active' => 'groups'
        ]);
    }
}
